Bug 1006577 - cannot assign bundles to bundle group
cannot assign bundles to bundle group
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Provisioning (Show other bugs)
4.9
Unspecified Unspecified
high Severity high (vote)
: ---
: RHQ 4.10
Assigned To: Jay Shaughnessy
Mike Foley
:
Depends On:
Blocks: 1006687
  Show dependency treegraph
 
Reported: 2013-09-10 17:02 EDT by John Mazzitelli
Modified: 2014-04-23 08:32 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1006687 (view as bug list)
Environment:
Last Closed: 2014-04-23 08:32:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
assignGroup (107.17 KB, image/png)
2013-10-08 09:06 EDT, Armine Hovsepyan
no flags Details
assignBundleToGroup (403.90 KB, image/png)
2013-10-08 09:37 EDT, Armine Hovsepyan
no flags Details

  None (edit)
Description John Mazzitelli 2013-09-10 17:02:09 EDT
The "assign to bundles in bundle group" permission is broken.

Create a role that has the bundle group permission "assigned to bundles in group", associate that role with a bundle group and and associate the role to a user.

Create a bundle and put it in some other bundle group (or unassigned - that would probably be ok too).

Log in as the user and try to assign the bundle to the bundle group with "assigned to bundles in group" permission enabled.

There is no way to assign it, something is wrong.
Comment 1 John Mazzitelli 2013-09-10 17:02:56 EDT
note, you can assign bundles to bundle groups but only if you have the global permission to do so.
Comment 2 Jay Shaughnessy 2013-09-11 16:29:40 EDT
commit 741da74f13e3b348eb483fc3c9b3641eb14eb494
Author: Jay Shaughnessy <jshaughn@redhat.com>
Date:   Wed Sep 11 16:25:44 2013 -0400

  Apply fine-grained permissions to bundle assignment for a bundle group. It
  was only driving off the global.manage_bundle_groups permission.

  Add support top to bottom for getting bundle group perms, from authz bean
  to gui services/permission loader, to bundle selector, to bundle group view.
Comment 3 Armine Hovsepyan 2013-10-08 09:06:42 EDT
Created attachment 809267 [details]
assignGroup
Comment 4 Armine Hovsepyan 2013-10-08 09:37:33 EDT
Created attachment 809289 [details]
assignBundleToGroup
Comment 5 Armine Hovsepyan 2013-10-08 09:38:26 EDT
verified
please get screen-shot attached
Comment 6 Heiko W. Rupp 2014-04-23 08:32:14 EDT
Bulk closing of 4.10 issues.

If an issue is not solved for you, please open a new BZ (or clone the existing one) with a version designator of 4.10.

Note You need to log in before you can comment on or make changes to this bug.